%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Data-OptList
%define modv   0.107
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A Perl module to parse and validate options
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/%{modn}-%{modv}.tar.gz
Patch0:        %{modn}-0.107-build.patch
Patch1:        %{modn}-0.107-tests.patch
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Ricardo Signes <rjbs@cpan.org>
Provides:      perl(Data::OptList) = %{modv}
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl(Config)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(List::Util)
BuildRequires: perl(Params::Util) >= 0.14
BuildRequires: perl(Sub::Install) >= 0.921
BuildRequires: perl(Test::More)
BuildArch:     noarch


%description
Data::OptList allows for parsing and validating simple name/value option
pairs.


%prep
%setup -q -n %{modn}-%{modv}
%patch0 -p1
%patch1 -p1


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes LICENSE README
%{perl_vendorlib}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Thu May 19 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.107-1
- New version (0.107)

* Fri Sep 10 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.106-1
- Initial build
